#!/bin/sh
#

PATH="/usr/local/bin:/usr/bin:/sbin:/bin:/usr/bin/X11:/usr/games:/usr/local/sony/bin:/usr/sbin"
LD_LIBRARY_PATH="/opt/sony/ebook/application:/lib:/usr/lib:/usr/local/sony/lib:/opt/sony/ebook/lib"
export PATH LD_LIBRARY_PATH

#M_CARD=`cat /tmp/cardroot`
M_CARD="b:"
W_LOG=/Data/tmp/script.log

# Binaries
stat_fs=/tmp/bin/stat_fs
date=/bin/date
mkdir=/bin/mkdir
rm=/bin/rm
tar=/bin/tar
mkcramfs=/usr/bin/mkcramfs
mcopy=/tmp/mcopy
#mcopy=/usr/bin/mcopy
chmod=/bin/chmod
du=/usr/bin/du
cut=/usr/bin/cut
nblsdm=/usr/local/sony/bin/nblsdm
umount=/bin/umount
mtdmount=/usr/local/sony/bin/mtdmount

##
#  Edit from here
##

mkdir -p /Data/tmp

echo -n "Test script -> " > $W_LOG

echo "Filesystem listing" >>$W_LOG
echo "/:" >>$W_LOG
ls -la / >>$W_LOG
ls -laR /Data >>$W_LOG
ls -laR /bin >>$W_LOG
echo "/dev:" >>$W_LOG
ls -la /dev >>$W_LOG
ls -laR /etc >>$W_LOG
ls -laR /home >>$W_LOG
ls -laR /lib >>$W_LOG
ls -laR /mnt >>$W_LOG
ls -laR /opt >>$W_LOG
ls -laR /opt0 >>$W_LOG
ls -laR /opt1 >>$W_LOG
echo "/proc:" >>$W_LOG
ls -la /proc >>$W_LOG
ls -laR /root >>$W_LOG
ls -laR /sbin >>$W_LOG
ls -laR /tmp >>$W_LOG
ls -laR /usr >>$W_LOG
ls -laR /var >>$W_LOG

for file in /proc/filesystems /proc/mtd /proc/mounts
do
   echo "-----------------------------" >> $W_LOG
   echo $file >> $W_LOG
   cat $file >> $W_LOG
   echo "-----------------------------" >> $W_LOG
done

echo "df -k before remount" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
/bin/df -k >> $W_LOG
echo "-----------------------------------" >> $W_LOG

#/bin/mount -o remount -t tmpfs -o size=32m /dev/shm /tmp >> $W_LOG 2>&1

#echo "df -k after remount" >> $W_LOG
#echo "-----------------------------------" >> $W_LOG
#/bin/df -k >> $W_LOG
#echo "-----------------------------------" >> $W_LOG

echo "/usr/local/sony/bin/nblconfig -dump" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
/usr/local/sony/bin/nblconfig -dump >> $W_LOG
echo "-----------------------------------" >> $W_LOG

echo "/usr/local/sony/bin/nblsdm -?" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
/usr/local/sony/bin/nblsdm -? >> $W_LOG
echo "-----------------------------------" >> $W_LOG
echo "/usr/local/sony/bin/nblsdm list" >> $W_LOG
echo "-----------------------------------" >> $W_LOG
/usr/local/sony/bin/nblsdm list >> $W_LOG
echo "-----------------------------------" >> $W_LOG

WF_COPY=/Data/tmp/Wf.img
BOOTIMG_COPY=/Data/tmp/BootImg.img
INFO_COPY=/Data/tmp/Info.img
LNX_COPY=/Data/tmp/Linux.img

#cat /dev/mtd8 > $WF_COPY
#cat /dev/mtd9 > $BOOTIMG_COPY
#cat /dev/mtd11 > $INFO_COPY
cat /dev/mtd7 > $LNX_COPY

#copy the log back to card so that we can read it
$mcopy -pnso $W_LOG $M_CARD/
echo Done copying $W_LOG res $?
sync
